package com.ruoyi.ucp.util;

import cn.hutool.core.date.DateTime;

import java.util.*;
import java.util.concurrent.ConcurrentHashMap;

public class CalcCache {
    /**
     * 场站月拟合功率曲线,风机-风速-功率
     */
    public static Map<String, ConcurrentHashMap<Double, Double>> wtMcfMap = new ConcurrentHashMap<>();
    public static Map<String, ConcurrentHashMap<Double, Double>> fitcoef = new ConcurrentHashMap<>();
    public static Map<String, Double> powerCache = new ConcurrentHashMap<>();
    public static Map<String, Double> powerCacheRt = new ConcurrentHashMap<>();
    /**
     * 保证功率
     */
    public static Map<String, ConcurrentHashMap<Double, Double>> bzgl = new ConcurrentHashMap<>();
    /**
     * 理论功率
     */
    public static Map<String, ConcurrentHashMap<Double, Double>> llgl = new ConcurrentHashMap<>();
    public static DateTime minuteNow = DateTime.now();
    public static Map<String, Double> statusCache = new ConcurrentHashMap<>();
    public static Map<String, Double> qfztCache = new ConcurrentHashMap<>();
    public static Map<String, Long> swdlTime = new HashMap<>();

    public static List<String> already=new ArrayList<>();

    public static String keys = "";
}
